Bug 917149

Summary: Review Request: openshift-origin-node-proxy - Routing proxy for OpenShift Origin Node
Product: [Fedora] Fedora Reporter: Troy Dawson <tdawson>
Component: Package ReviewAssignee: Andy Grimm <agrimm>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: agrimm, notting
Target Milestone: ---Flags: agrimm: fedora‑review+
limburgher: fedora‑cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: openshift-origin-node-proxy-1.11.1.1-3.fc19 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-09-24 19:03:01 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 917136, 917137, 917138, 917139    
Bug Blocks:    

Description Troy Dawson 2013-03-01 15:45:53 EST
Spec URL: http://tdawson.fedorapeople.org/openshift-origin/openshift-origin-node-proxy.spec
SRPM URL: http://tdawson.fedorapeople.org/openshift-origin/openshift-origin-node-proxy-0.6.4-2.fc18.src.rpm
Description:
This package contains a routing proxy (for handling HTTP[S] and Websockets
traffic) for an OpenShift Origin node.

Fedora Account System Username: tdawson
Comment 1 Troy Dawson 2013-06-12 16:27:06 EDT
Spec URL: http://tdawson.fedorapeople.org/openshift-origin/openshift-origin-node-proxy.spec
SRPM URL: http://tdawson.fedorapeople.org/openshift-origin/openshift-origin-node-proxy-0.9.2-1.fc20.src.rpm

- Updated to latest stable version, 0.9.2.
- Patched logrotate to use systemctl instead of service
Comment 2 Troy Dawson 2013-07-25 14:55:38 EDT
Spec URL: http://tdawson.fedorapeople.org/openshift-origin/openshift-origin-node-proxy.spec
SRPM URL: http://tdawson.fedorapeople.org/openshift-origin/openshift-origin-node-proxy-1.11.1-1.fc20.src.rpm

- Update to latest stable version, 1.11.1
- Add BuildRequires: nodejs-devel
-- This allows us to use the nodejs macros.
-- Replaced hard coded variable with %{nodejs_sitelib}
Comment 3 Troy Dawson 2013-08-06 17:06:05 EDT
Spec URL: http://tdawson.fedorapeople.org/openshift-origin/openshift-origin-node-proxy.spec
SRPM URL: http://tdawson.fedorapeople.org/openshift-origin/openshift-origin-node-proxy-1.11.1.1-1.fc20.src.rpm

- Update to OpenShift Origin release 2 version, 1.11.1.1
- Changed logrotate file to be named after the package
-- This fixed the rpmlint error.
Comment 5 Andy Grimm 2013-09-04 11:40:14 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[!]: License field in the package spec file matches the actual license. [1]
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[!]: Patches link to upstream bugs/comments/lists or are otherwise justified.[2]
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[!]: Packages should try to preserve timestamps of original installed files.[3]
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: openshift-origin-node-proxy-1.11.1.1-2.fc19.noarch.rpm
openshift-origin-node-proxy.noarch: W: only-non-binary-in-usr-lib
openshift-origin-node-proxy.noarch: W: no-manual-page-for-binary node-find-proxy-route-files
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

Rpmlint (installed packages)
----------------------------
# rpmlint openshift-origin-node-proxy
openshift-origin-node-proxy.noarch: W: only-non-binary-in-usr-lib
openshift-origin-node-proxy.noarch: W: no-manual-page-for-binary node-find-proxy-route-files
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


NOTES:

[1] License appears to be MIT, not ASL 2.0
[2] While it may seem self-explanatory, a comment mentioning the purpose of the logrotate patch is a good idea.  Also, I think that patch should only be applied if %with_systemd == 1, right?
[3] If you use the -p option to the 'install' command, that should preserve timestamps.
Comment 6 Troy Dawson 2013-09-05 18:07:27 EDT
Spec URL: http://tdawson.fedorapeople.org/openshift-origin/openshift-origin-node-proxy.spec
SRPM URL: http://tdawson.fedorapeople.org/openshift-origin/openshift-origin-node-proxy-1.11.1.1-3.fc20.src.rpm

- Fixed LICENSE file inconsistency
-- The wrong file had been copied in and nobody checked until this review.
-- Has been fixed upstream but hasn't been released yet.
- added -p option to installing files
-- Has been fixed upstream but hasn't been released yet.
- added comments about patch and LICENSE source

-- logrotate has also been fixed upstream, but hasn't been released yet.
Comment 7 Andy Grimm 2013-09-16 09:57:55 EDT
Sorry, completely missed that this was back in my court.  The changes look good to me.
Comment 8 Troy Dawson 2013-09-16 10:09:44 EDT
New Package SCM Request
=======================
Package Name: openshift-origin-node-proxy
Short Description: Routing proxy for OpenShift Origin Node
Owners: tdawson
Branches: f18 f19 f20
InitialCC:
Comment 9 Jon Ciesla 2013-09-16 10:12:22 EDT
Git done (by process-git-requests).
Comment 10 Fedora Update System 2013-09-16 11:09:16 EDT
openshift-origin-node-proxy-1.11.1.1-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/openshift-origin-node-proxy-1.11.1.1-3.fc19
Comment 11 Fedora Update System 2013-09-16 20:29:21 EDT
openshift-origin-node-proxy-1.11.1.1-3.fc19 has been pushed to the Fedora 19 testing repository.
Comment 12 Fedora Update System 2013-09-24 19:03:01 EDT
openshift-origin-node-proxy-1.11.1.1-3.fc19 has been pushed to the Fedora 19 stable repository.